This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1306915 - Huge logging in samba client logs while running I/O's from Linux cifs client [NEEDINFO]
Huge logging in samba client logs while running I/O's from Linux cifs client
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rhs-smb@redhat.com
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 02:42 EST by surabhi
Modified: 2017-03-25 12:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ira: needinfo? (sbhaloth)


Attachments (Terms of Use)

  None (edit)
Description surabhi 2016-02-12 02:42:04 EST
Description of problem:
*******************************

When running basic fops cases from Linux cifs mount , the samba client logs shows
huge logging as follows. It is logging for each of the dir/files and filling up client logs.

[2016-02-12 04:16:55.012381] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b41 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:55.378269] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b42 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:55.745156] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b43 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:56.086611] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b44 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:56.455723] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b45 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:56.824333] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b46 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:57.194660] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b47 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:57.558488] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b48 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:57.924533] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b49 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:58.277151] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a24/b50 with [Subvol_name: test
vol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:58.613164] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a25 with [Subvol_name: testvol-
replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:58.657578] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a25/b1 with [Subvol_name: testv
ol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:16:59.013375] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a25/b2 with [Subvol_name: testv
ol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:59.392408] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a25/b3 with [Subvol_name: testv
ol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 
[2016-02-12 04:16:59.747840] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a25/b4 with [Subvol_name: testv
ol-replicate-0, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], 
[2016-02-12 04:17:00.096701] I [MSGID: 109036] [dht-common.c:7957:dht_log_new_layout_for_dir_selfheal] 0-testvol-dht: Setting layout of /a25/b5 with [Subvol_name: testv
ol-replicate-0, Err: -1 , Start: 2147483647 , Stop: 4294967295 , Hash: 1 ], [Subvol_name: testvol-replicate-1, Err: -1 , Start: 0 , Stop: 2147483646 , Hash: 1 ], 



Version-Release number of selected component (if applicable):
samba-4.2.4-12.el7rhgs.x86_64
glusterfs-3.7.5-19.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
Mount the samba share on cifs client:
Run I/o's as follows
for i in {1..10}; do mkdir ./d$i; done
for j in {1..10}; do touch ./d/f$j; done
 for i in {1..25}; do mkdir ./a$i;  "
               "for j in {1..50}; do mkdir ./a$i/b$j;"
               "for k in {1..10}; do touch ./a$i/b$j/c$k



Actual results:
Huge logging in samba-client logs for each fop with err -1.

Expected results:
Logging could be reduced.

Additional info:
Comment 2 Ira Cooper 2016-02-14 02:35:52 EST
what mount options were used here?

(Output of the mount command on the client please.)

Note You need to log in before you can comment on or make changes to this bug.